Bug 1293571 - xetex dvipdfm-x can't support CID-keyed font
Summary: xetex dvipdfm-x can't support CID-keyed font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 23
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-22 08:47 UTC by ayaka
Modified: 2016-01-24 03:31 UTC (History)
3 users (show)

Fixed In Version: texlive-2014-18.20140525_r34255.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-24 03:31:59 UTC
Type: Bug


Attachments (Terms of Use)

Description ayaka 2015-12-22 08:47:54 UTC
Description of problem:
The current version(r34255) of texlive-xetex-bin  in f23 can't support CID-keyed fonts. Which caused the font like adobe-source-han-sans-tw-fonts can't be used in xelatex. 


Version-Release number of selected component (if applicable):
texlive-xetex-bin-4:svn30845.0-16.20140525_r34255.fc23.x86_64

How reproducible:
If you tried the example below, you will get a mess in the output pdf.

\documentclass{book}
\usepackage{xeCJK}
\usepackage{lipsum}
\usepackage[a4paper, top=22mm, bottom=20mm, footskip=10mm]{geometry}
\setCJKmainfont{Source Han Sans TW}

\begin{document}
\chapter{測試}
愛神愛人
\end{document}


Actual results:
All the Chinese character would be a mess but the English or number character part is normal.

Additional info:
You could use the WenQuanYi Micro Hei Mono instead, but the character in this font is not exactly the same as the one used in Republic of China(Taiwan).

This is problem has been solved in r34700.
You reference from
http://tug.org/pipermail/xetex/2014-July/025408.html
and
http://tug.org/pipermail/xetex/2014-July/025385.html

Comment 1 Fedora Update System 2016-01-20 03:16:18 UTC
texlive-2014-18.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-74f2c23353

Comment 2 Fedora Update System 2016-01-20 23:57:36 UTC
texlive-2014-18.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-74f2c23353

Comment 3 Fedora Update System 2016-01-24 03:31:41 UTC
texlive-2014-18.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.